; Published and unpublished ROM routines and locations library file
; for TASM32

; January 11, 2013
; M100, T200, PC-8201


#if modeltype = 0

;-----------------------------------------------------------------------
; M100 published routines and variables
;-----------------------------------------------------------------------

; Published M100 ROM routines and locations library file
; for TASM32


; LCD functions and escape codes

CRLF	.equ	4222H
HOME	.equ	422DH
CLS	.equ	4231H
SETSYS	.equ	4235H
RSTSYS	.equ	423AH
LOCK	.equ	423FH
UNLOCK	.equ	4244H
CURSON	.equ	4249H
CUROFF	.equ	424EH
DELLIN	.equ	4253H
INSLIN	.equ	4258H
ERAEOL	.equ	425DH
ENTREV	.equ	4269H
EXTREV	.equ	426EH


; LCD variable and status locations

CSRY	.equ	0F639H
CSRX	.equ	0F63AH
BEGLCD	.equ	0FE00H
ENDLCD	.equ	0FF40H

; Directory Table

DIRTBL	.equ	0F962H

; LCD functions
LCD	.equ	4313H		; fast
;LCD	.equ 	4B44H		; slow, more functions
PLOT	.equ	744CH
UNPLOT	.equ	744DH
POSIT	.equ	427CH
ESCA	.equ	4270H

; Keyboard functions

BRKCHK	.equ	7283H
INLIN	.equ	4644H
STFNK	.equ	5A7CH
KYREAD	.equ	7242H
CHGET	.equ	12CBH
CHSNS	.equ	13DBH
KEYX	.equ	7270H
CLRFLK	.equ	5A79H
DSPFNK	.equ	42A8H
STDSPF	.equ	42A5H
ERAFNK	.equ	428AH
FNKSB	.equ	5A9EH

; Printer Functions

PRINTR	.equ	6D3FH
PNOTAB	.equ	1470H
PRTTAB	.equ	4B55H
PRTLCD	.equ	1E5EH

; RS232 and Modem functions

DISC	.equ	52BBH
CONN	.equ	52D0H
DIAL	.equ	53D2H
RCVX	.equ	6D6DH
RV232C	.equ	6D7EH
SENDCQ	.equ	6E0BH
SENDCS	.equ	6E1EH
SD232C	.equ	6E32H
CARDET	.equ	6EEFH
BAUDST	.equ	6E75H
INZCOM	.equ	6EA6H
SETSER	.equ	17E6H
CLDCOM	.equ	6ECBH

; Cassette functions

CTON	.equ	14A8H
CTOFF	.equ	14AAH
CASIN 	.equ	14B0H
CSOUT	.equ	14C1H
SYNCW	.equ	6F46H
SYNCR	.equ	6F85H
DATAW	.equ	6F5BH
DATAR	.equ	702AH

; Other routines

MUSIC	.equ	725CH
TIME	.equ	190FH
DATE 	.equ	192FH
DAY 	.equ	1962H
INITIO	.equ	6CD6H
IOINIT	.equ	6CE0H
MENU	.equ	5797H


; Ram file functions

MAKTXT 	.equ	220FH
CHKDC	.equ	5AA9H
GTXTTB	.equ	5A3BH
KILASC	.equ	1FBEH
INSCHR	.equ	6B61H
MAKHOL	.equ	6B6DH
MASDEL	.equ	6B9FH



;-----------------------------------------------------------------------
; M100 unpublished routines
;-----------------------------------------------------------------------

NUMPRT	.EQU	39D4H		; Print binary number in HL at current position
GETTOP 	.EQU 	5AE4H		; GETS TOP ADDRESS OF FILE

TDDPT	.EQU	5A15H		; Print time ,day,date on first line w/o CLS
KEYWTU	.EQU	5D64H		; Wait for char from keyboard & convert to uppercase
MNENTR	.EQU	58F7H		; Handle ENTER key from MENU command loop
MNCMD	.EQU	58A9H 		; jump back into Handle COMMANDS from MENU command loop
REBOOT 	.EQU	7D33H		; Boot routine, RST 0 or Reset vector target - initialization.
BEEP	.EQU	4229H		; BEEP statement

BLKMV	.EQU	3469H		; Move B bytes from (DE) to M with increment
MVHBI:	.EQU	02542H		; Move B number of bytes from from M to (DE) with decrement 

MVHBCI	.equ	6BDBH		; Move from HL to DE (incrementing) for BC bytes
MVHBCD	.equ	6BE6H		; Move from HL to DE (decrementing) for BC bytes

GETTP 	.EQU 	5AE3H		; GETS TOP ADDRESS OF FILE
LINKER1 .equ	05F4H		; links a .BA file

KILDC	.EQU	1FB2H		; KILL DO CO FILE TYPE
KILB 	.EQU	2017H		; KILL BA FILE TYPE

KILD	.equ	1FBFH		; entry that kills .DO and returns properly
KILC	.equ	1FD9H		; entry that kills .CO and returns properly

UPCAS	.EQU	0FE9H		; CONVERT TO UPPER CASE

LNKFIL	.EQU	2146h		; link files in directory

ALTLCD	.EQU	0FCC0h		; altlcd buffer
ALTLCDE	.EQU	0FDFFh		; end of altlcd buffer
STDLCD	.EQU	0FE00h		; start of standard LCD
STDLCDE	.EQU	0FF3Fh		; end of standard LCD

STREND 	.EQU	0FBB6h		; End of storage/ first free byte

;ASCTAB 	.equ	0FBAEH		; Pointer to start of ASCII files
BINTAB 	.equ	0FBB0H		; Pointer to start of binary files
VARTAB 	.equ	0FBB2H		; Pointer to start of simple variable space
ARYTAB 	.equ	0FBB4H		; Pointer to start of array table

TXTTAB:	.equ	0F67Ch		; CURBAS, Pointer to start of Basic programs


;-----------------------------------------------------------------------
; M100/T200 specific variables
;-----------------------------------------------------------------------

DIRLEN:		.equ	11d		; number of bytes per directory entry
NAMLEN:		.equ	8d		; number of bytes per name entry
MAKUPS:		.equ	0FE8H		; convert character to uppercase

PRBUF		.EQU	27B1h		; print at cursor from hl buffer till 00

NAMES:		.equ	8d		; number of fixed entries in directory table
TOTAL_NAMES:	.equ	27d		; total number of names in directory


ASCTAB:		.equ	0FBAEh		; points to the lowest address of .DO files
NULDIR:		.equ	0F99Ah		; points to unsaved basic program
SCRPD:		.equ	0F9A5h
INPUT_BUFFER:	.EQU	0F685H		; text input buffer
EOFFIL:		.equ	1Ah		; EOF character for .DO files
TMRHK:		.equ	0F5FFh		; M100 timer hook
ROM_ID:		.equ	0FAA4h		; M100 rom id location
ROMstart:	.equ	0F624h		; M100 location to start the optrom 
LOWRAM:		.equ	0FAC0h		; address of lowest ram location, 8000h in 32k M100
LCDPTR:		.equ	0FE52h		; 3rd row, 3rd column

SETHOK:		.equ	07EC6h		; sets up the hook table to default
MENHK1:		.equ	05D67h		; MENU call address to identify CHGET hook call
MENHK2:		.equ	05D78h		; MENU call address to identify CHSNS hook call
KYRDBF: 	.equ	0FFABh		; Keyboard buffer


HOOKT1:		.equ	0FADAh		; hook table start in RAM 
HOOKL1: 	.equ	01dh		; hook table length (pairs) (29)
HOOKD1:		.equ	07FF3h		; hook table data 

HOOKT2:		.equ	0FB14h		; hook table start in RAM 
HOOKL2: 	.equ	013h		; hook table length (pairs) (19)
HOOKD2:		.equ	008DBh		; hook table data 

HCHGET:		.equ	0FADEh		; CHGET hook entry
HCHSNS:		.equ	0FAE0h		; CHSNS hook entry
HCHPUT:		.equ	0FAE2h		; CHPUT (print) hook entry



RAMLD:		.equ	0F605h		; 36 byte area copied on power up
RAMLDS:		.equ	036Fh		; location in ROM for ram bytes
RAMLDL:		.equ	36d		; number of bytes to copy on power up

KYBCNT:		.equ	0FFAAh		; keyboard count
MENCNT:		.equ	0FDEEh		; current menu selection count

TIMYR1:		.equ	0F92Dh		; 2 byte location for year data

SNDCOM	.equ	6E3A

;Send a character to the RS-232 without 
;XON/XOFF flow control.  On entry, C 
;contains character to be sent.  Exit 
;conditions are unknown.

; Constants

RSTAT	.equ	0F65B
;* Text string containing the current
;RS-232 setting as follows:  BAUD,
;Length, parity, Stop Bits, XON/XOFF
;switch.


#endif

#if modeltype = 1

;-----------------------------------------------------------------------
; T200 published variables and routines
;-----------------------------------------------------------------------
; Published T200 ROM routines and locations library file
; for TASM32


; LCD functions and escape codes

CRLF	.equ	4F3EH
;HOME	.equ	0000H
CLS	.equ	4F4DH
;SETSYS	.equ	0000H
;RSTSYS	.equ	0000H
LOCK	.equ	4F5EH
UNLOCK	.equ	4F63H
CURSON	.equ	4F68H
CUROFF	.equ	4F6DH
;DELLIN	.equ	0000H
;INSLIN	.equ	0000H
ERAEOL	.equ	4F7CH
;ENTREV	.equ	4269H
;EXTREV	.equ	426EH


; LCD variable and status locations

CSRY	.equ	0EF06H
CSRX	.equ	0EF07H
BEGLCD	.equ	0FA30H
ENDLCD	.equ	0FCAFH

; Directory Table

DIRTBL	.equ	0F252H

; LCD functions

LCD	.equ	5030H		; fast level 3 based
;LCD	.equ 	5A05H		; slow full function
;PLOT	.equ	0000H
;UNPLOT	.equ	0000H
POSIT	.equ	4F9BH
ESCA	.equ	4F8FH

; Keyboard functions

;BRKCHK	.equ	0000H
INLIN	.equ	54F6H
STFNK	.equ	6E20H
KYREAD	.equ	8B03H
CHGET	.equ	12F7H
CHSNS	.equ	1422H
KEYX	.equ	8B31H
CLRFLK	.equ	6E1DH
DSPFNK	.equ	4FC7H
STDSPF	.equ	4FC4H
ERAFNK	.equ	4FA9H
FNKSB	.equ	6E42H

; Printer Functions

;PRINTR	.equ	0000H
PNOTAB	.equ	1590H
PRTTAB	.equ	5A14H
PRTLCD	.equ	2946H

; RS232 and Modem functions

DISC	.equ	61BAH
;CONN	.equ	0000H
DIAL	.equ	622BH
RCVX	.equ	8508H
RV232C	.equ	8519H
SENDCQ	.equ	8608H
SENDCS	.equ	8617H
SD232C	.equ	8643H
;CARDET	.equ	0000H
;BAUDST	.equ	0000H
;INZCOM	.equ	0000H
SETSER	.equ	191DH
CLDCOM	.equ	87B5H

; Cassette functions

CTON	.equ	15C0H
CTOFF	.equ	15C2H
CASIN 	.equ	15C8H
CSOUT	.equ	15D9H
;SYNCW	.equ	0000H
;SYNCR	.equ	0000H
;DATAW	.equ	0000H
;DATAR	.equ	0000H

; Other routines

;MUSIC	.equ	725CH
TIME	.equ	1A7EH
DATE 	.equ	1A9EH
DAY 	.equ	1AC5H
;INITIO	.equ	0000H
;IOINIT	.equ	0000H
MENU	.equ	67A4H


; Ram file functions

MAKTXT 	.equ	2D7CH
;CHKDC	.equ	0000H
;GTXTTB	.equ	0000H
KILASC	.equ	2AB4H
INSCHR	.equ	829CH
MAKHOL	.equ	82A8H
MASDEL	.equ	82DAH





;-----------------------------------------------------------------------
; T200 unpublished routines
;-----------------------------------------------------------------------

NUMPRT	.EQU	470BH		; Print binary number in HL at current position
GETTOP 	.EQU 	6E8DH		; GETS TOP ADDRESS OF FILE

TDDPT	.EQU	6D9EH		; Print time ,day,date on first line w/o CLS
;KEYWTU	.EQU	5D64H		; Wait for char from keyboard & convert to uppercase
;MNENTR	.EQU	58F7H		; Handle ENTER key from MENU command loop
;MNCMD	.EQU	58A9H 		; jump back into Handle COMMANDS from MENU command loop
;REBOOT 	.EQU	7D33H		; Boot routine, RST 0 or Reset vector target - initialization.
BEEP	.EQU	4F45H		; BEEP statement

BLKMV	.EQU	41BAH		; Move B bytes from (DE) to M with increment
MVHBI:	.EQU	032A7h		; Move B number of bytes from from M to (DE) with decrement

MVHBCI	.equ	08316H		; Move from HL to DE (incrementing) for BC bytes
MVHBCD	.equ	08321H		; Move from HL to DE (decrementing) for BC bytes


GETTP 	.EQU 	6E8CH		; GETS TOP ADDRESS OF FILE
LINKER1	.equ 	061FH		; links a .BA file


KILDC	.EQU	2AA2H		; KILL DO CO FILE TYPE
KILB 	.EQU	2B0CH		; KILL BA FILE TYPE

KILD	.equ	2AB5H		; entry that kills .DO and returns properly
KILC	.equ	2ACEH		; entry that kills .CO and returns properly


UPCAS	.EQU	1014H		; CONVERT TO UPPER CASE

LNKFIL	.EQU	2C62h		; link files in directory

ALTLCD	.EQU	0F7B0h		; altlcd buffer
ALTLCDE	.EQU	0FA2Fh		; end of altlcd buffer
STDLCD	.EQU	0FA30h		; start of standard LCD
STDLCDE	.EQU	0FCAFh		; end of standard LCD

STREND 	.EQU	0F669h		; End of storage/ first free byte


;ASCTAB	.equ	0F661H		; Pointer to start of ASCII files
BINTAB 	.equ	0F663H	 	; Pointer to start of binary files
VARTAB 	.equ	0F665H		; Pointer to start of simple variable space
ARYTAB 	.equ	0F667H		; Pointer to start of array table

TXTTAB:	.equ 	0EF67h		; CURBAS, Pointer to start of Basic programs





;-----------------------------------------------------------------------
; M100/T200 specific variables
;-----------------------------------------------------------------------

DIRLEN:		.equ	11d		; number of bytes per directory entry
NAMLEN:		.equ	8d		; number of bytes per name entry
MAKUPS:		.equ	1013H		; convert character to uppercase

PRBUF		.EQU	3517h		; print at cursor from hl buffer till 00

NAMES:		.equ	9d		; number of fixed entries in directory table
TOTAL_NAMES:	.equ	55d		; total number of names in directory 13*4 + 1 + 3

; end is marked by FF 
;F4BD, F252
;62639 - 62034  = 605 bytes  55 entries.

ASCTAB:		.equ	0F661h		; points to the lowest address of .DO files
NULDIR:		.equ	0F295h		; points to unsaved basic program
SCRPD:		.equ	0F2B5h
INPUT_BUFFER:	.EQU	0EF70H		; text input buffer
EOFFIL:		.equ	1Ah		; EOF character for .DO files
TMRHK:		.equ	0EEC2h		; M100 timer hook
ROM_ID:		.equ	0F4D3h		; M100 rom id location
ROMstart:	.equ	0EEEFh 		; M100 location to start the optrom 
LOWRAM:		.equ	0F4EEh		; address of lowest ram location, 8000h in 32k M100
LCDPTR:		.equ	STDLCD+240d+2d	; 7th row, 3rd column

LRAMRF:		.equ 	0FEACh		; two bytes that store "start of video memory in 8k ram


SETHOK:		.equ	09B17h		; sets up the hook table to default
MENHK1:		.equ	068C2h		; MENU call address to identify CHGET hook call
MENHK2:		.equ	068BCh		; MENU call address to identify CHSNS hook call
KYRDBF 		.equ	0FD1Fh		; Keyboard buffer

;32 x 9CA8h  at F507h
;18 x 0906h  at F547h

HOOKT1:		.equ	0F507h		; hook table start in RAM 
HOOKL1: 	.equ	032d		; hook table length (pairs) (32)
HOOKD1:		.equ	09CA8h		; hook table data 

HOOKT2:		.equ	0F547h		; hook table start in RAM 
HOOKL2: 	.equ	018d		; hook table length (pairs) (18)
HOOKD2:		.equ	00906h		; hook table data 

HCHGET:		.equ	0F50Bh		; CHGET hook entry
HCHSNS:		.equ	0F50Dh		; CHSNS hook entry
HCHPUT:		.equ	0F50Fh		; CHPUT (print) hook entry



RAMLD:		.equ	0EEC8h		; 36 byte area copied on power up
RAMLDS:		.equ	0372h		; location in ROM for ram bytes
RAMLDL:		.equ	42d		; number of bytes to copy on power up
					; copy right up to option rom flag

; option rom flag is EEF3 in T200, F62A in M100
; copy F605 to F62A - 37 bytes  M100
; copy EEC8 to EEF3 - 43 bytes  T200

KYBCNT:		.equ	0FD1Eh		; keyboard count
MENCNT:		.equ	0F848h		; current menu selection count


;TIMYR1:		.equ	0F92D		;not needed in t200?


SNDCOM	.equ	864FH

;Send a character to the RS-232 without 
;XON/XOFF flow control.  On entry, C 
;contains character to be sent.  Exit 
;conditions are unknown.

; Constants

RSTAT	.equ	0EF3Ch
;* Text string containing the current
;RS-232 setting as follows:  BAUD,
;Length, parity, Stop Bits, XON/XOFF
;switch.


#endif

#if modeltype = 2

;-----------------------------------------------------------------------
; PC8201 published routines and variables
;-----------------------------------------------------------------------

; LCD functions and escape codes

CRLF	.equ	4251H
HOME	.equ	425CH
CLS	.equ	4260H
SETSYS	.equ	4264H
RSTSYS	.equ	4269H
LOCK	.equ	426EH
UNLOCK	.equ	4273H
CURSON	.equ	4278H
CUROFF	.equ	427DH
DELLIN	.equ	4282H
INSLIN	.equ	4287H
ERAEOL	.equ	428CH
ENTREV	.equ	42A2H
EXTREV	.equ	42A7H


; LCD variable and status locations

CSRY	.equ	0F3E5H
CSRX	.equ	0F3E6H
BEGLCD	.equ	0FD00H
ENDLCD	.equ	0FE3FH

; Directory Table

DIRTBL	.equ	0F84FH

; LCD functions
LCD	.equ	4363H		; fast
;LCD	.equ 	4CFAH		; slow, more functions
PLOT	.equ	74D0H
UNPLOT	.equ	74D1H
POSIT	.equ	42B5H
ESCA	.equ	42A9H

; Keyboard functions

BRKCHK	.equ	72B9H
INLIN	.equ	47AAH
STFNK	.equ	5DDCH
KYREAD	.equ	7279H
CHGET	.equ	174DH
CHSNS	.equ	183DH
KEYX	.equ	72A6H
CLRFLK	.equ	5DD9H
DSPFNK	.equ	42E4H
STDSPF	.equ	42E1H
ERAFNK	.equ	42C3H
FNKSB	.equ	5DFBH

; Printer Functions

PRINTR	.equ	6D92H
PNOTAB	.equ	18DDH
PRTTAB	.equ	4D0BH
;PRTLCD	.equ	0000H

; RS232 and Modem functions

;DISC	.equ	52BBH
;CONN	.equ	52D0H
;DIAL	.equ	53D2H
RCVX	.equ	6DC2H
RV232C	.equ	6DD3H
SENDCQ	.equ	6E97H
SENDCS	.equ	6EAAH
SD232C	.equ	6EBEH
;CARDET	.equ	6EEFH
BAUDST	.equ	6F21H
INZCOM	.equ	6F52H
SETSER	.equ	1C4EH
CLDCOM	.equ	6FA8H

; Cassette functions

CTON	.equ	1913H
CTOFF	.equ	1915H
CASIN 	.equ	191BH
CSOUT	.equ	192FH
SYNCW	.equ	7047H
SYNCR	.equ	7059H
DATAW	.equ	6FEBH
DATAR	.equ	708EH

; Other routines

MUSIC	.equ	730DH
TIME	.equ	1D7FH
DATE 	.equ	1D9FH
;DAY 	.equ	1962H
INITIO	.equ	6D3AH
IOINIT	.equ	6D44H
MENU	.equ	5645H


; Ram file functions

MAKTXT 	.equ	240BH
;CHKDC	.equ	5AA9H
GTXTTB	.equ	5E5BH
KILASC	.equ	21A7H
INSCHR	.equ	6BFEH
MAKHOL	.equ	6C0AH
MASDEL	.equ	6C3CH


;-----------------------------------------------------------------------
; PC8201 unpublished routines
;-----------------------------------------------------------------------

NUMPRT	.EQU	3898H		; Print binary number in HL at current position
GETTOP 	.EQU 	5E5CH		; GETS TOP ADDRESS OF FILE

TDDPT	.EQU	5D86H		; Print time ,day,date on first line w/o CLS
KEYWTU	.EQU	5FA0H		; Wait for char from keyboard & convert to uppercase
MNENTR	.EQU	5822H		; Handle ENTER key from MENU command loop
;MNCMD	.EQU	58A9H 		; jump back into Handle COMMANDS from MENU command loop
REBOOT 	.EQU	7D83H		; Boot routine, RST 0 or Reset vector target - initialization.
BEEP	.EQU	4258H		; BEEP statement

BLKMV	.EQU	31F7H		; Move B bytes from (DE) to M with increment
MVHBI:	.EQU	28FDH		; Move B number of bytes from from M to (DE) with decrement 

MVHBCI	.equ	6C78H		; Move from HL to DE (incrementing) for BC bytes
MVHBCD	.equ	6C83H		; Move from HL to DE (decrementing) for BC bytes

GETTP 	.EQU 	5E5BH		; GETS TOP ADDRESS OF FILE
LINKER1 .equ	0718H		; links a .BA file

;KILDC	.EQU	1FB2H		; KILL DO CO FILE TYPE
KILB 	.EQU	2200H		; KILL BA FILE TYPE

KILD	.equ	21A8H		; entry that kills .DO and returns properly
KILC	.equ	21C2H		; entry that kills .CO and returns properly

UPCAS	.EQU	12B6H		; CONVERT TO UPPER CASE

LNKFIL	.EQU	233Ah		; link files in directory

ALTLCD	.EQU	0FBC0h		; altlcd buffer
ALTLCDE	.EQU	0FCFFh		; end of altlcd buffer
STDLCD	.EQU	0FD00h		; start of standard LCD
STDLCDE	.EQU	0FE3Fh		; end of standard LCD

STREND 	.EQU	0FAE9h		; End of storage/ first free byte

;ASCTAB 	.equ	0FAE1H		; Pointer to start of ASCII files
BINTAB 	.equ	0FAE3H		; Pointer to start of binary files
VARTAB 	.equ	0FAE5H		; Pointer to start of simple variable space
ARYTAB 	.equ	0FAE7H		; Pointer to start of array table

TXTTAB:	.equ 	0F45DH 		; CURBAS, Pointer to start of Basic programs




;-----------------------------------------------------------------------
; PC 8201 unpublished variables
;-----------------------------------------------------------------------

DIRLEN:		.equ	11d		; number of bytes per directory entry
NAMLEN:		.equ	8d		; number of bytes per name entry
MAKUPS:		.equ	12B5H		; convert character to uppercase

PRBUF		.EQU	2B72h		; print at cursor from hl buffer till 00

NAMES:		.equ	6d		; number of fixed entries in directory table
TOTAL_NAMES:	.equ	27d		; total number of names in directory


ASCTAB:		.equ	0FAE1h		; points to the lowest address of .DO files
NULDIR:		.equ	0F870h		; points to unsaved basic program
SCRPD:		.equ	0F87Dh
INPUT_BUFFER:	.EQU	0F5A1h		; try this not 0F462H		; text input buffer
EOFFIL:		.equ	1Ah		; EOF character for .DO files
TMRHK:		.equ	0F38Fh		; timer hook
ROM_ID:		.equ	0F991h		; rom id location
ROMstart:	.equ	0F3B9h		; location to start the optrom 
LOWRAM:		.equ	0F9B0h		; address of lowest ram location, 8000h in 32k M100
;LCDPTR:		.equ	0FE52h		; 3rd row, 3rd column

SETHOK:		.equ	07E66h		; sets up the hook table to default
MENHK1:		.equ	0573Dh		; MENU call address to identify CHGET hook call
MENHK2:		.equ	0573Dh		; MENU call address to identify CHSNS hook call
KYRDBF 		.equ	0FE69h		; Keyboard buffer

; 74 total

HOOKT1:		.equ	0F9CCh		; hook table start in RAM 
HOOKL1: 	.equ	02Fh		; hook table length (pairs) (47)
HOOKD1:		.equ	07FDBh		; hook table data 

HOOKT2:		.equ	0FA2Ah		; hook table start in RAM 
HOOKL2: 	.equ	01Bh		; hook table length (pairs) (27)
HOOKD2:		.equ	00B87h		; hook table data 

HCHGET:		.equ	0F9D0h		; CHGET hook entry
HCHSNS:		.equ	0F9D2h		; CHSNS hook entry
HCHPUT: 	.equ	0F9D4h		; CHPUT (print) hook entry


RAMLD:		.equ	0F395h		; 36 byte area copied on power up
RAMLDS		.equ	0440h		; location in ROM for ram bytes
RAMLDL:		.equ	42d		; number of bytes to copy on power up

KYBCNT:		.equ	0FE68h		; keyboard count
MENCNT:		.equ	0F590h		; current menu selection count

TIMYR1:		.equ	0F83Ch		; 2 byte location for year data

SNDCOM		.equ	6EDCH

;Send a character to the RS-232 without 
;XON/XOFF flow control.  On entry, C 
;contains character to be sent.  Exit 
;conditions are unknown.

; Constants

RSTAT	.equ	0F406H
;* Text string containing the current
;RS-232 setting as follows:  BAUD,
;Length, parity, Stop Bits, XON/XOFF
;switch.




#endif


